import PopOver from '/src/components/feedback/PopOver';

export default {
    title: 'PopOver',
    component: PopOver,
};


const Template = (args, { argTypes }) => ({
    props: Object.keys(argTypes),
    components: { PopOver },
    template: `<div style="width: 300px; margin:0 auto;">
        <PopOver
            :text="text"
            :link_text="link_text"
            :link_url="link_url"
        />
    </div>
    `,
});

export const PopOverStandard = Template.bind({});
PopOverStandard.args = {
    text: "This product is Made in Canada. ",
    link_text: "Discover more Made in Canada products.",
    link_url: ""
};